package jp.sourceforge.asclipse.as3.element;

import java.util.List;

/**
 * 型を意味する要素のインターフェース。
 * @author shin1ogawa
 */
public interface AS3Type extends AS3Element, AS3ElementWithModifiers {

	/**
	 * @return パッケージ名も含めた名称
	 */
	String getQualifiedName();

	/**
	 * @return パッケージ名を含めない、型の名称
	 */
	String getIdentifier();

	/**
	 * @return import宣言のリスト
	 */
	List<AS3Import> getImportDeclarations();
}
